import { URI } from 'vscode-uri';
export declare type ThemeType = 'light' | 'dark' | 'hc' | 'hcLight';
export interface Theme {
    readonly id: string;
    readonly type: ThemeType;
    readonly label: string;
    readonly description?: string;
    readonly editorTheme?: string;
    activate?(): void;
    deactivate?(): void;
}
export declare function isHighContrast(scheme: ThemeType): boolean;
export interface ThemeChangeEvent {
    readonly newTheme: Theme;
    readonly oldTheme?: Theme;
}
export interface ThemeColor {
    id: string;
}
export interface ThemeIcon {
    readonly id: string;
    readonly color?: ThemeColor;
}
export interface IconDefinition {
    font?: IconFontContribution;
    fontCharacter: string;
}
export interface IconFontContribution {
    readonly id: string;
    readonly definition: IconFontDefinition;
}
export interface IconFontDefinition {
    readonly weight?: string;
    readonly style?: string;
    readonly src: IconFontSource[];
}
export interface IconFontSource {
    readonly location: URI;
    readonly format: string;
}
//# sourceMappingURL=theme.d.ts.map