import { interfaces } from 'inversify';
import { PreferenceProxy, PreferenceSchema, PreferenceService } from '../../browser/preferences';
export declare namespace ZoomLevel {
    const DEFAULT = 0;
    const MIN = -8;
    const MAX = 9;
    const VARIATION = 0.5;
}
export declare const electronWindowPreferencesSchema: PreferenceSchema;
export declare class ElectronWindowConfiguration {
    'window.zoomLevel': number;
    'window.titleBarStyle': 'native' | 'custom';
}
export declare const ElectronWindowPreferenceContribution: unique symbol;
export declare const ElectronWindowPreferences: unique symbol;
export declare type ElectronWindowPreferences = PreferenceProxy<ElectronWindowConfiguration>;
export declare function createElectronWindowPreferences(preferences: PreferenceService, schema?: PreferenceSchema): ElectronWindowPreferences;
export declare function bindWindowPreferences(bind: interfaces.Bind): void;
//# sourceMappingURL=electron-window-preferences.d.ts.map